<?php

/**
 * Admin settings form.
 */
function bi_util_settings_form() {
  $form['search'] = array(
    '#type' => 'fieldset',
    '#title' => t('Search Block'),
    '#collapsible' => TRUE,
  );

  $form['search']['bi_util_search_btn'] = array(
    '#type' => 'radios',
    '#title' => t('Search button'),
    '#options' => array(t('Hide'), t('Image'), t('Normal')),
    '#default_value' => variable_get('bi_util_search_btn', 2),
  );

  $form['search']['bi_util_search_btn_image'] = array(
    '#type' => 'textfield',
    '#title' => t('Search button image path'),
    '#description' => t('The full path to the image to use for the search button.'),
    '#size' => 25,
    '#default_value' => variable_get('bi_util_search_btn_image', ''),
  );

  $form['search']['bi_util_search_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Search box width'),
    '#size' => 10,
    '#default_value' => variable_get('bi_util_search_width', 25),
  );

  $form['search']['bi_util_search_text'] = array(
    '#type' => 'textfield',
    '#title' => t('Search box text'),
    '#description' => t('Text that will be prepopulated in the search box on page load.'),
    '#size' => 25,
    '#default_value' => variable_get('bi_util_search_text', ''),
  );

  $form['block'] = array(
    '#type' => 'fieldset',
    '#title' => t('Block Configuration'),
    '#collapsible' => TRUE,
  );

  $form['block']['bi_util_block_class_enabled'] = array(
    '#type' => 'radios',
    '#title' => t('Enable the selection of classes to apply to blocks.'),
    '#options' => array(t('No'), t('Yes')),
    '#default_value' => variable_get('bi_util_block_class_enabled', 0),
  );

  $form['block']['bi_util_block_class_options'] = array(
    '#type' => 'textarea',
    '#title' => t('Classes'),
    '#title' => t('Enter a comma seperated list of classes to use as options for blocks.'),
    '#rows' => 5,
    '#default_value' => variable_get('bi_util_block_class_options', ''),
  );

  return system_settings_form($form);
}
